%if %mdkversion < 201010
%define pgsql 1
%else
%define pgsql 0
%endif

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_pgsql: %{expand: %%global pgsql 1}}
%{?_without_pgsql: %{expand: %%global pgsql 0}}

%define name    ossp_uuid
%define version 1.6.2
%define release %mkrel 2
%define major 16
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    	OSSP uuid is a ISO-C:1999 application programming interface
License:    	GPLv2+
Group:      	Development/C
URL:		http://www.ossp.org/pkg/lib/uuid/
Source:		ftp://ftp.ossp.org/pkg/lib/uuid/uuid-%{version}.tar.gz
%if %{pgsql}
BuildRequires:	postgresql-devel
%endif

%if %mdkversion < 200800
BuildRoot:  %{_tmppath}/%{name}-%{version}
%endif

%description
OSSP uuid is a ISO-C:1999 application programming interface (API)
and corresponding command line interface (CLI) for the generation of
DCE 1.1, ISO/IEC 11578:1996 and IETF RFC-4122 compliant Universally
Unique Identifier (UUID). It supports DCE 1.1 variant UUIDs of version
1 (time and node based), version 3 (name based, MD5), version 4
(random number based) and version 5 (name based, SHA-1). Additional
API bindings are provided for the languages ISO-C++:1998, Perl:5 and
PHP:4/5. Optional backward compatibility exists for the ISO-C DCE-1.1
and Perl Data::UUID APIs

%package -n     %{libname}
Summary:        Main library for ossp-uuid
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
OSSP uuid is a ISO-C:1999 application programming interface (API)
and corresponding command line interface (CLI) for the generation of
DCE 1.1, ISO/IEC 11578:1996 and IETF RFC-4122 compliant Universally
Unique Identifier (UUID). It supports DCE 1.1 variant UUIDs of version
1 (time and node based), version 3 (name based, MD5), version 4
(random number based) and version 5 (name based, SHA-1). Additional
API bindings are provided for the languages ISO-C++:1998, Perl:5 and
PHP:4/5. Optional backward compatibility exists for the ISO-C DCE-1.1
and Perl Data::UUID APIs


%package        -n     %{develname}
Summary:        Header files for the ossp-uuid library
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description    -n %{develname}
OSSP uuid is a ISO-C:1999 application programming interface (API)
and corresponding command line interface (CLI) for the generation of
DCE 1.1, ISO/IEC 11578:1996 and IETF RFC-4122 compliant Universally
Unique Identifier (UUID). It supports DCE 1.1 variant UUIDs of version
1 (time and node based), version 3 (name based, MD5), version 4
(random number based) and version 5 (name based, SHA-1). Additional
API bindings are provided for the languages ISO-C++:1998, Perl:5 and
PHP:4/5. Optional backward compatibility exists for the ISO-C DCE-1.1
and Perl Data::UUID APIs
These are .h files.

%if %{pgsql}
%package -n     %{libname}-pgsql
Summary:        Postgresql library for ossp-uuid
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}-pgsql
OSSP uuid is a ISO-C:1999 application programming interface (API)
and corresponding command line interface (CLI) for the generation of
DCE 1.1, ISO/IEC 11578:1996 and IETF RFC-4122 compliant Universally
Unique Identifier (UUID). It supports DCE 1.1 variant UUIDs of version
1 (time and node based), version 3 (name based, MD5), version 4
(random number based) and version 5 (name based, SHA-1). Additional
API bindings are provided for the languages ISO-C++:1998, Perl:5 and
PHP:4/5. Optional backward compatibility exists for the ISO-C DCE-1.1
and Perl Data::UUID APIs
%endif

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%endif

%prep
%setup -q  -n uuid-%{version}
alias autoconf=/bin/true
alias libtoolize=/bin/true
%if %{pgsql}
	%configure --with-pgsql
%else
	%configure 
%endif

%build
%make
%install
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%if %{pgsql}
%post -n  %{libname}-pgsql
/bin/ln -s %{_libdir}/postgresql/uuid.so %{_libdir}/postgresql/uuid-ossp.so

%postun -n  %{libname}-pgsql
/bin/rm -f %{_libdir}/postgresql/uuid-ossp.so
%endif

%files
%defattr(-,root,root)
%doc OVERVIEW
%{_bindir}/uuid
%{_mandir}/man1/uuid.1.lzma
#if %{pgsql}
#exclude %{_defaultdocdir}/lib64ossp_uuid16-pgsql/OVERVIEW
#exclude %{_defaultdocdir}/lib64ossp_uuid16/OVERVIEW
#endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libuuid.so.%{major}*


%files  -n %{develname}
%defattr(-,root,root)
%{_libdir}/pkgconfig/uuid.pc
%{_includedir}/uuid.h
%{_bindir}/uuid-config
%{_libdir}/libuuid.so
%{_libdir}/libuuid.a
%{_libdir}/libuuid.la
%{_mandir}/man1/uuid-config.1.lzma
%{_mandir}/man3/uuid.3.lzma

%if %{pgsql}
%files -n %{libname}-pgsql
%defattr(-,root,root)
%{_libdir}/postgresql/uuid.so
%{_usr}/share/postgresql/uuid.sql
%endif


%changelog
* Tue Jul 13 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.6.2-2mdv2010.1
+ Revision: 551531
- bump release?\194

* Sat May 22 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.6.2-1mdv2011.0
+ Revision: 545712
- import ossp_uuid


